import '../../../../../../food_delivery_client.dart';

class WBrowseSkeletonizerItem extends StatelessWidget {
  const WBrowseSkeletonizerItem({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Bounceable(
      onTap: () {},
      child: Ink(
        decoration: BoxDecoration(
          color: AppColors.cFFFFFF,
          borderRadius: AppUtils.kBorderRadius15,
        ),
        child: Column(
          children: [
            ClipRRect(
              borderRadius: AppUtils.kBorderRadiusTop15,
              child: CachedNetworkImage(
                imageUrl: AppLocaleKeys.foodImageUrl,
                width: context.w,
                height: 96,
                fit: BoxFit.cover,
              ),
            ),
            SizedBox(
              width: context.w,
              child: DecoratedBox(
                decoration: BoxDecoration(
                  borderRadius: AppUtils.kBorderRadiusBottom15,
                  border: Border.all(
                    color: AppColors.cE6E6E6,
                    width: 1,
                  ),
                ),
                child: Text(
                  "Restaurant Rewards",
                  textAlign: TextAlign.center,
                  style: AppTextStyles.size16Regular.copyWith(
                    height: 20 / 16,
                  ),
                ).paddingSymmetric(horizontal: 30),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
